summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Phillip Warner <pc_warner@yahoo.com>2010-05-12 17:39:33 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-12 17:39:33 +0200
commit6a623a00505ef96db310db982026fcc269039a65 (patch)
treef0c840b26489ceb00435e494ec5c5d387ce6e09e /games
parent068409fd7d92cb103292af0e425d90b553e353d4 (diff)
downloadslackbuilds-6a623a00505ef96db310db982026fcc269039a65.tar.gz
slackbuilds-6a623a00505ef96db310db982026fcc269039a65.tar.xz
games/smc: Updated for version 1.8
Diffstat (limited to 'games')
-rw-r--r--games/smc/README6
-rw-r--r--games/smc/doinst.sh3
-rw-r--r--games/smc/slack-desc10
-rw-r--r--games/smc/smc.SlackBuild38
-rw-r--r--games/smc/smc.info8
-rw-r--r--games/smc/smc1.8_boost1.36.patch (renamed from games/smc/smc1.6_boost1.36.patch)26
6 files changed, 45 insertions, 46 deletions
diff --git a/games/smc/README b/games/smc/README
index 63d9143f9a..81836edcaf 100644
--- a/games/smc/README
+++ b/games/smc/README
@@ -16,10 +16,8 @@ must be installed as a separate package. SlackBuilds for the music pack,
Boost, FreeImage, and CEGUI can all be found on SlackBuilds.org.
*NOTE* If you are using a Boost version prior to 1.36 you should try using
-this SlackBuild without the boost patch by executing
-
-PATCHBOOST=NO ./smc.SlackBuild
-
+this SlackBuild without the boost patch by executing:
+ PATCHBOOST=NO ./smc.SlackBuild
Please see readme-linux.txt in the docs directory of the source for more
information on this software.
diff --git a/games/smc/doinst.sh b/games/smc/doinst.sh
index 140e332222..4e8ba7071d 100644
--- a/games/smc/doinst.sh
+++ b/games/smc/doinst.sh
@@ -1,3 +1,4 @@
if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
diff --git a/games/smc/slack-desc b/games/smc/slack-desc
index 9df9b37e03..757ffef88e 100644
--- a/games/smc/slack-desc
+++ b/games/smc/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler------------------------------------------------------|
smc: smc (Secret Maryo Chronicles)
-smc:
+smc:
smc: Secret Maryo Chronicles is an Open Source two-dimensional platform
smc: game with a style designed similar to classic sidescroller games such
smc: as Super Mario Bros. It uses the platform independent library SDL
smc: and, since version 0.98, the OpenGL accelerated Graphics Renderer.
smc: The game is developed in C++.
-smc: Requires OpenGL (with hardware acceleration), CEGUI (with FreeImage
-smc: or SILLY support), and Boost. All other dependencies should be in
-smc: stock Slackware. This package does NOT include the music pack.
-smc: http://www.secretmaryo.org/ \ No newline at end of file
+smc:
+smc: http://www.secretmaryo.org/
+smc:
+smc:
diff --git a/games/smc/smc.SlackBuild b/games/smc/smc.SlackBuild
index 03ae3f47a7..9357979bd4 100644
--- a/games/smc/smc.SlackBuild
+++ b/games/smc/smc.SlackBuild
@@ -4,7 +4,7 @@
# Written by Phillip Warner <pc_warner@yahoo.com>
PRGNAM=smc
-VERSION=${VERSION:-1.6}
+VERSION=${VERSION:-1.8}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,54 +17,54 @@ OUTPUT=${OUTPUT:-/tmp}
# Say NO here if using boost < 1.36
PATCHBOOST=${PATCHBOOST:-YES}
-set -e
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-
cd $TMP
rm -rf $PRGNAM-$VERSION
-
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-
-if [ "$PATCHBOOST" == "YES" ]; then
- patch -p0 < $CWD/smc1.6_boost1.36.patch
-fi
-
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
-
chown -R root:root .
chmod -R a-s,u+rw,go-w .
+if [ "$PATCHBOOST" == "YES" ]; then
+ patch -p1 < $CWD/smc1.8_boost1.36.patch
+fi
+
./autogen.sh
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" force_arch="$ARCH" make
-
make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object"| grep ELF | \
cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $TMP/$PRGNAM-$VERSION/docs/* $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
mkdir -p $PKG/usr/share/applications
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
mkdir -p $PKG/install
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/games/smc/smc.info b/games/smc/smc.info
index 78c4da9843..b0ffbe9f87 100644
--- a/games/smc/smc.info
+++ b/games/smc/smc.info
@@ -1,8 +1,8 @@
PRGNAM="smc"
-VERSION="1.6"
+VERSION="1.8"
HOMEPAGE="http://www.secretmaryo.org/"
-DOWNLOAD="http://downloads.sourceforge.net/smclone/smc-1.6.tar.bz2"
-MD5SUM="f3197a5e61c1899637ff1a2a858db226"
+DOWNLOAD="http://downloads.sourceforge.net/smclone/smc-1.8.tar.bz2"
+MD5SUM="448efe236ae6031dcf08761496d469ad"
MAINTAINER="Phillip Warner"
EMAIL="pc_warner@yahoo.com"
-APPROVED="David Somero"
+APPROVED="Erik Hanson,rworkman"
diff --git a/games/smc/smc1.6_boost1.36.patch b/games/smc/smc1.8_boost1.36.patch
index c489bb514b..3f8c8173a5 100644
--- a/games/smc/smc1.6_boost1.36.patch
+++ b/games/smc/smc1.8_boost1.36.patch
@@ -1,7 +1,7 @@
-diff -Naur smc-1.6-orig/src/core/game_core.cpp smc-1.6/src/core/game_core.cpp
---- smc-1.6-orig/src/core/game_core.cpp 2008-09-26 13:55:50.000000000 -0500
-+++ smc-1.6/src/core/game_core.cpp 2008-10-12 22:01:35.000000000 -0500
-@@ -1577,32 +1577,32 @@
+diff -Naru smc-1.8-orig/src/core/game_core.cpp smc-1.8/src/core/game_core.cpp
+--- smc-1.8-orig/src/core/game_core.cpp 2009-04-08 00:48:08.000000000 -0500
++++ smc-1.8/src/core/game_core.cpp 2009-06-05 23:26:43.000000000 -0500
+@@ -1632,32 +1632,32 @@
if( fs::is_directory( *dir_itr ) )
{
// ignore hidden directories
@@ -26,8 +26,8 @@ diff -Naur smc-1.6-orig/src/core/game_core.cpp smc-1.6/src/core/game_core.cpp
}
}
// valid file
-- else if( file_type.empty() || dir_itr->leaf().rfind( file_type ) != string::npos )
-+ else if( file_type.empty() || dir_itr->filename().rfind( file_type ) != string::npos )
+- else if( file_type.empty() || dir_itr->leaf().rfind( file_type ) != std::string::npos )
++ else if( file_type.empty() || dir_itr->filename().rfind( file_type ) != std::string::npos )
{
- valid_files.push_back( dir + "/" + dir_itr->leaf() );
+ valid_files.push_back( dir + "/" + dir_itr->filename() );
@@ -40,19 +40,19 @@ diff -Naur smc-1.6-orig/src/core/game_core.cpp smc-1.6/src/core/game_core.cpp
}
}
-diff -Naur smc-1.6-orig/src/overworld/world_manager.cpp smc-1.6/src/overworld/world_manager.cpp
---- smc-1.6-orig/src/overworld/world_manager.cpp 2008-07-01 16:11:12.000000000 -0500
-+++ smc-1.6/src/overworld/world_manager.cpp 2008-10-12 22:01:42.000000000 -0500
-@@ -111,7 +111,7 @@
+diff -Naru smc-1.8-orig/src/overworld/world_manager.cpp smc-1.8/src/overworld/world_manager.cpp
+--- smc-1.8-orig/src/overworld/world_manager.cpp 2009-02-17 22:10:12.000000000 -0600
++++ smc-1.8/src/overworld/world_manager.cpp 2009-06-05 23:27:21.000000000 -0500
+@@ -116,7 +116,7 @@
{
try
{
-- string current_dir = dir_itr->leaf();
-+ string current_dir = dir_itr->filename();
+- std::string current_dir = dir_itr->leaf();
++ std::string current_dir = dir_itr->filename();
// only directories with an existing description
if( fs::is_directory( *dir_itr ) && File_Exists( dir + "/" + current_dir + "/description.xml" ) )
-@@ -138,7 +138,7 @@
+@@ -143,7 +143,7 @@
}
catch( const std::exception &ex )
{